Last Comment Bug 787655 - Use pymake by default on Win64 builds
: Use pymake by default on Win64 builds
Status: RESOLVED FIXED
[pymake][buildduty]
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: All Windows 7
: P2 normal (vote)
: ---
Assigned To: Chris Cooper [:coop]
:
Mentors:
Depends on: 787806
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-01 05:14 PDT by Siddharth Agarwal [:sid0] (inactive)
Modified: 2013-08-12 21:54 PDT (History)
36 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
go fast with pymake (1.35 KB, patch)
2012-09-03 04:03 PDT, Siddharth Agarwal [:sid0] (inactive)
coop: review+
sid.bugzilla: checked‑in+
Details | Diff | Review
Enables pymake on win64, and removes the exception for the build-system project branch (1.57 KB, patch)
2012-09-04 19:18 PDT, Chris Cooper [:coop]
armenzg: review+
coop: checked‑in+
Details | Diff | Review

Description Siddharth Agarwal [:sid0] (inactive) 2012-09-01 05:14:30 PDT
Bug 595385 enables Pymake on Firefox Win32 builds. We should enable it on Win64 builds as well. There are still some issues to be resolved -- those should be marked blocking this.
Comment 1 Edmund Wong (:ewong) 2012-09-02 20:26:36 PDT
(In reply to Siddharth Agarwal [:sid0] from comment #0)
> Bug 595385 enables Pymake on Firefox Win32 builds. We should enable it on

That'd be bug 593585. :)
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2012-09-03 04:03:26 PDT
Created attachment 657813 [details] [diff] [review]
go fast with pymake

Indeed it would!

Looks like bug 787806 is the only thing stopping us.
Comment 3 Siddharth Agarwal [:sid0] (inactive) 2012-09-04 08:54:10 PDT
OK, bug 787806 is on mozilla-central and mozilla-inbound, and build-system (which already has win64 enabled) is green. This should be good to go now, though to be fast we'll need attachment 657813 [details] [diff] [review].
Comment 4 Chris Cooper [:coop] 2012-09-04 19:18:47 PDT
Created attachment 658338 [details] [diff] [review]
Enables pymake on win64, and removes the exception for the build-system project branch
Comment 5 Chris Cooper [:coop] 2012-09-05 06:32:15 PDT
Comment on attachment 658338 [details] [diff] [review]
Enables pymake on win64, and removes the exception for the build-system project branch

https://hg.mozilla.org/build/buildbot-configs/rev/beb4ed05620e
Comment 6 Armen Zambrano [:armenzg] - Engineering productivity 2012-09-05 06:50:41 PDT
Live in production.
Comment 7 Chris Cooper [:coop] 2012-09-12 12:55:23 PDT
Comment on attachment 657813 [details] [diff] [review]
go fast with pymake

sid0: are you still waiting on this review? I'm happy to rubber stamp it if so.
Comment 8 Siddharth Agarwal [:sid0] (inactive) 2012-09-12 12:58:32 PDT
Yeah, sure, that would be great.
Comment 9 Siddharth Agarwal [:sid0] (inactive) 2012-09-12 14:18:27 PDT
Comment on attachment 657813 [details] [diff] [review]
go fast with pymake

https://hg.mozilla.org/integration/mozilla-inbound/rev/85dea78cdb44
Comment 10 Ryan VanderMeulen [:RyanVM] 2012-09-12 18:15:51 PDT
https://hg.mozilla.org/mozilla-central/rev/85dea78cdb44

Note You need to log in before you can comment on or make changes to this bug.